#!/usr/bin/env python

# Copyright 2012 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

# A little python script to create a file on the buildslave so that we can
# test that it's actually deployed successfully.

import pwd
import os
import sys

CONTENT = 'IT WORKS!'
PATH = '/tmp/buildslave_test'

def write_file(path, content, owner):
    with open(path, 'w') as f:
        f.write(content)
    os.chmod(path, 0777)
    userdata = pwd.getpwnam(owner)
    os.chown(path, userdata.pw_uid, userdata.pw_gid)

if __name__ == "__main__":
    content = sys.argv[1] if sys.argv[1:] else CONTENT
    sys.exit(write_file(PATH, content, 'ubuntu'))
